## packetfence 13.2.0+20240910143625+1448220356+0011+maintenance~13~2+bullseye1

=== Makefile ===
include config.mk

PF_UDF_OBJ = $(patsubst src/mariadb_udf/%.c, src/mariadb_udf/%.o, $(filter-out src/mariadb_udf/pf_udf.c src/mariadb_udf/test_pf_udf.c, $(wildcard src/mariadb_udf/*.c)))

all:
	@echo "Please chose which documentation to build:"
	@echo ""
	@echo " 'pdf' will build all guides using the PDF format"
	@echo " 'docs/PacketFence_Installation_Guide.pdf' will build the Installation guide in PDF"
	@echo " 'docs/PacketFence_Clustering_Guide.pdf' will build the Clustering guide in PDF"
	@echo " 'docs/PacketFence_Developers_Guide.pdf' will build the Developers guide in PDF"
	@echo " 'docs/PacketFence_Network_Devices_Configuration_Guide.pdf' will build the Network Devices Configuration guide in PDF"
	@echo " 'docs/PacketFence_Upgrade_Guide.pdf' will build the Upgrade guide in PDF"

ASCIIDOCS := $(notdir $(wildcard docs/PacketFence_*.asciidoc))
PDFS = $(patsubst %.asciidoc,docs/%.pdf, $(ASCIIDOCS))

clean:
	rm -f docs/*.html docs/index.js docs/*.pdf

docs/%.pdf: docs/%.asciidoc
	asciidoctor-pdf \
		-a pdf-theme=docs/asciidoctor-pdf-theme.yml \
		-a pdf-fontsdir=docs/fonts \
		-a release_version=$(PF_PATCH_RELEASE) \
		-a release_minor=$(PF_MINOR_RELEASE) \
		-a release_month=`date +%B` \
		$<

.PHONY: pdf

pdf: $(PDFS)

HTML = $(patsubst %.asciidoc,docs/%.html, $(ASCIIDOCS))

docs/%.html: docs/%.asciidoc
	asciidoctor \
		-n \
		-r ./docs/asciidoctor-html.rb \
		-a stylesdir=$(SRC_HTML_PFAPPDIR_ROOT)/dist/css \
		-a stylesheet=$(notdir $(wildcard $(SRC_HTML_PFAPPDIR_ROOT)/dist/css/app*.css)) \
		-a release_version=$(PF_PATCH_RELEASE) \
		-a release_minor=$(PF_MINOR_RELEASE) \
		-a release_month=`date +%B` \
		$<

docs/index.js: $(HTML)
	find $$(dirname "$@") -type f  -iname  '*.html' -and -not -iname '*template*' -printf "{\"name\":\"%f\", \"size\":%s, \"last_modifed\" : %T@}\n" | jq -s '{ items: [ .[] |  {name, size, last_modifed : (.last_modifed*1000 | floor)} ] }' > $@

.PHONY: images

images:
	@echo "install images dir and all subdirectories"
	for subdir in `find docs/images/* -type d -printf "%f\n"` ; do \
		install -d -m0755 $(DESTDIR)/usr/local/pf/docs/images/$$subdir ; \
		for img in `find docs/images/$$subdir -type f`; do \
			install -m0644 $$img $(DESTDIR)/usr/local/pf/docs/images/$$subdir ; \
		done \
	done
	@echo "install only images at depth0 in images/ directory"
	for img in `find docs/images/* -maxdepth 0 -type f`; do \
		install -m0644 $$img $(DESTDIR)/usr/local/pf/docs/images/ ; \
	done

.PHONY: html

html: $(HTML) docs/index.js

pfcmd.help:
	/usr/local/pf/bin/pfcmd help > docs/installation/pfcmd.help

.PHONY: configurations

configurations: SHELL:=/bin/bash
configurations:
	find -type f -name '*.example' -print0 | while read -d $$'\0' file; do cp -n $$file "$$(dirname $$file)/$$(basename $$file .example)"; done
	touch conf/pf.conf
	touch conf/pfconfig.conf

.PHONY: configurations_force

configurations_hard: SHELL:=/bin/bash
configurations_hard:
	find -type f -name '*.example' -print0 | while read -d $$'\0' file; do cp $$file "$$(dirname $$file)/$$(basename $$file .example)"; done
	touch conf/pf.conf
	touch conf/pfconfig.conf

# server certs and keys
# the | in the prerequisites ensure the target is not created if it already exists
# see https://www.gnu.org/software/make/manual/make.html#Prerequisite-Types
conf/ssl/server.pem: | conf/ssl/server.key conf/ssl/server.crt conf/ssl/server.pem
	cat conf/ssl/server.crt conf/ssl/server.key > conf/ssl/server.pem

conf/ssl/server.crt: | conf/ssl/server.crt
	openssl req -new -x509 -days 365 \
	-out conf/ssl/server.crt \
	-key conf/ssl/server.key \
	-config conf/openssl.cnf

conf/ssl/server.key: | conf/ssl/server.key
	openssl genrsa -out conf/ssl/server.key 2048

conf/local_secret:
	date +%s | sha256sum | base64 | head -c 32 > conf/local_secret

conf/unified_api_system_pass:
	date +%s | sha256sum | base64 | head -c 32 > conf/unified_api_system_pass

bin/pfcmd: src/pfcmd.c
	$(CC) -O2 -g -std=c99  -Wall $< -o $@

bin/ntlm_auth_wrapper: src/ntlm_auth_wrap.c
	$(CC) -g -std=c99 -Wall $< -o $@ -lcurl -lcjson

src/mariadb_udf/pf_udf.so: src/mariadb_udf/pf_udf.c $(PF_UDF_OBJ)
	$(CC) -O2 -Wall -g $$(pkg-config libmariadb --cflags) -fPIC -shared -o $@ $< $(PF_UDF_OBJ)

src/mariadb_udf/%.o: src/mariadb_udf/%.c src/mariadb_udf/%.h
	$(CC) $(TEST_CFLAGS) $(CFLAGS) -fPIC -c $< -o $@

src/mariadb_udf/test_pf_udf: src/mariadb_udf/test_pf_udf.c $(PF_UDF_OBJ)
	$(CC) -O2 -g -Wall $< $(PF_UDF_OBJ) -o $@

.PHONY: test_pf_udf
test_pf_udf: src/mariadb_udf/test_pf_udf
	./src/mariadb_udf/test_pf_udf

.PHONY: permissions

/etc/sudoers.d/packetfence.sudoers: packetfence.sudoers
	cp packetfence.sudoers /etc/sudoers.d/packetfence

.PHONY: sudo

sudo: /etc/sudoers.d/packetfence.sudoers


permissions: bin/pfcmd
	./bin/pfcmd fixpermissions

raddb/certs/server.crt:
	cd raddb/certs; make

.PHONY: raddb-sites-enabled

raddb/sites-enabled:
	mkdir raddb/sites-enabled
	cd raddb/sites-enabled;\
	for f in packetfence packetfence-tunnel dynamic-clients status;\
		do ln -s ../sites-available/$$f $$f;\
	done

.PHONY: translation

translation:
	for TRANSLATION in de en es fr he_IL it nb_NO nl pl_PL pt_BR; do\
		/usr/bin/msgfmt conf/locale/$$TRANSLATION/LC_MESSAGES/packetfence.po\
		  --output-file conf/locale/$$TRANSLATION/LC_MESSAGES/packetfence.mo;\
	done

.PHONY: mysql-schema

mysql-schema:
	ln -f -s /usr/local/pf/db/pf-schema-X.Y.sql /usr/local/pf/db/pf-schema.sql;

.PHONY: chown_pf

chown_pf:
	chown -R pf:pf *

.PHONY: fingerbank

fingerbank:
	rm -f /usr/local/pf/lib/fingerbank
	ln -s /usr/local/fingerbank/lib/fingerbank /usr/local/pf/lib/fingerbank \

.PHONY: systemd

systemd:
	cp /usr/local/pf/conf/systemd/packetfence* /usr/lib/systemd/system/
	systemctl daemon-reload

.PHONY: pf-dal

pf-dal:
	perl /usr/local/pf/addons/dev-helpers/bin/generator-data-access-layer.pl

devel: configurations conf/ssl/server.key conf/ssl/server.crt conf/local_secret bin/pfcmd raddb/certs/server.crt sudo translation mysql-schema raddb/sites-enabled fingerbank chown_pf permissions bin/ntlm_auth_wrapper conf/unified_api_system_pass

test:
	cd t && ./smoke.t

.PHONY: html_httpd.admin_dispatcher
# Target to install only necessary files in httpd.admin_dispatcher image
html_httpd.admin_dispatcher:
	@echo "create directories under $(DESTDIR)$(HTMLDIR)"
	install -d -m0755 $(DESTDIR)$(HTML_COMMONDIR)
	install -d -m0755 $(DESTDIR)$(HTML_PFAPPDIR)

	@echo "install $(SRC_HTML_COMMONDIR) dirs and files"
	for file in $(common_files); do \
	    install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install $(SRC_HTML_PFAPPDIR) without root dir"
	for file in $(pfapp_files); do \
	    install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install $(SRC_HTML_PFAPPDIR_ROOT) dirs and files"
	for file in $(pfapp_alt_files); do \
	    install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install symlinks"
	for link in $(symlink_files); do \
	    cp -v --no-dereference $$link $(DESTDIR)$(PF_PREFIX)/$$link ; \
	done

.PHONY: conf/git_commit_id
conf/git_commit_id:
	git rev-parse HEAD > $@

.PHONY: conf/build_id
conf/build_id:
	$(SRC_CIDIR)/lib/build/generate-build-id.sh

.PHONY: rpm/.rpmmacros
rpm/.rpmmacros:
	echo "%systemddir /usr/lib/systemd" > $(SRC_RPMDIR)/.rpmmacros
	echo "%pf_minor_release $(PF_MINOR_RELEASE)" >> $(SRC_RPMDIR)/.rpmmacros

.PHONY: build_rpm
build_rpm: conf/git_commit_id conf/build_id rpm/.rpmmacros dist-packetfence-test dist-packetfence-export dist-packetfence-upgrade dist
	cp $(SRC_RPMDIR)/.rpmmacros $(HOME)
	ci-build-pkg $(SRC_RPMDIR)/packetfence.spec
	# no need to build other packages if packetfence build failed
	ci-build-pkg $(SRC_RPMDIR)/packetfence-release.spec
	ci-build-pkg $(SRC_RPMDIR)/packetfence-test.spec
	ci-build-pkg $(SRC_RPMDIR)/packetfence-export.spec
	ci-build-pkg $(SRC_RPMDIR)/packetfence-upgrade.spec

.PHONY: build_deb
build_deb: conf/git_commit_id conf/build_id
	cp $(SRC_CIDIR)/debian/.devscripts $(HOME)
	QUILT_PATCHES=$(SRC_DEBDIR)/patches quilt push
	ci-build-pkg $(SRC_DEBDIR)

.PHONY: patch_release
patch_release:
	$(SRC_CIDIR)/lib/release/prep-release.sh

.PHONY: distclean
distclean: go_clean npm_clean clean
	rm -rf packetfence-$(PF_PATCH_RELEASE).tar

.PHONY: distclean-packetfence-test
distclean-packetfence-test:
	rm -rf packetfence-test-$(PF_PATCH_RELEASE).tar

.PHONY: go_clean
go_clean:
	$(MAKE) -C $(SRC_GODIR) clean

.PHONY: npm_clean
npm_clean:
	$(MAKE) -C $(SRC_HTML_COMMONDIR) clean
	$(MAKE) -C $(SRC_HTML_PFAPPDIR_ROOT) clean

.PHONY: dist
dist: distclean
	mkdir -p packetfence-$(PF_PATCH_RELEASE)
	# preserve, recursive and symlinks
	cp -pRH $(files_to_include) packetfence-$(PF_PATCH_RELEASE)
	tar c --exclude-from=$(SRC_ROOT_DIR)/dist_ignore \
	-f packetfence-$(PF_PATCH_RELEASE).tar packetfence-$(PF_PATCH_RELEASE)
	rm -rf packetfence-$(PF_PATCH_RELEASE)

.PHONY: dist-packefence-test
dist-packetfence-test: distclean-packetfence-test
	mkdir -p packetfence-test-$(PF_PATCH_RELEASE)
	# preserve, recursive and symlinks
	cp -pRH $(pf_test_files_to_include) packetfence-test-$(PF_PATCH_RELEASE)
	cp -p Makefile config.mk packetfence-test-$(PF_PATCH_RELEASE)
	tar c --exclude-from=$(SRC_ROOT_DIR)/dist_ignore \
	-f packetfence-test-$(PF_PATCH_RELEASE).tar packetfence-test-$(PF_PATCH_RELEASE)
	rm -rf packetfence-test-$(PF_PATCH_RELEASE)


# install -D will automatically create target directories
# SRC_RELATIVE_TESTDIR is used to only get relative paths from PF source tree
# $$file in destination of install command contain relative path
.PHONY: test_install
test_install:
	@echo "create directories under $(DESTDIR)$(TESTDIR)"
	install -d -m0755 $(DESTDIR)$(TESTDIR)

	@echo "install $(SRC_RELATIVE_TESTDIR) files"
	for file in $(shell find $(SRC_RELATIVE_TESTDIR) -type f); do \
            install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install symlinks"
	for link in $(shell find $(SRC_RELATIVE_TESTDIR) -type l); do \
	    cp -v --no-dereference $$link $(DESTDIR)$(PF_PREFIX)/$$link ; \
	done

# -D to create target directories if they don't exist
.PHONY: pfconnector_remote_install
pfconnector_remote_install:
	# logrotate config is installed through dh_installlogrotate
	install -v -d -m0750 $(DESTDIR)$(PFCONNECTOR_LOGDIR)
	install -v -m 0644 $(SRC_PFCONNECTORDIR)/systemd/packetfence-pfconnector-remote.logrotate-drop-in.service -D $(DESTDIR)/etc/systemd/system/logrotate.service.d/override.conf
	TMPDIR=$(shell mktemp -d)
	touch $(TMPDIR)/pfconnector-client.env
	install -v -d -m0750 $(DESTDIR)$(PFCONNECTOR_CONFDIR)
	install -v -m 0600 $(TMPDIR)/pfconnector-client.env $(DESTDIR)$(PFCONNECTOR_CONFDIR)/pfconnector-client.env
	install -v -m 0644 $(SRC_PFCONNECTORDIR)/systemd/packetfence-pfconnector-remote.service $(DESTDIR)/etc/systemd/system/packetfence-pfconnector-remote.service
	install -v -m 0755 $(SRC_PFCONNECTORDIR)/upgrade/remove-unpackaged-pfconnector.sh -D $(DESTDIR)$(PFCONNECTOR_UPGRADEDIR)/remove-unpackaged-pfconnector.sh
	install -v -m 0755 $(SRC_PFCONNECTORDIR)/configure.sh -D $(DESTDIR)$(PFCONNECTOR_BINDIR)/pfconnector-configure
	make -C $(SRC_GODIR) pfconnector
	install -v -m 0755 $(SRC_GODIR)/pfconnector $(DESTDIR)$(PFCONNECTOR_BINDIR)/pfconnector

# install -D will automatically create target directories
# SRC_RELATIVE_CILIBDIR is used to only get relative paths from PF source tree
# $$file in destination of install command contain relative path
.PHONY: ci_lib_install
ci_lib_install:
	@echo "create directories under $(DESTDIR)$(CIDIR)"
	install -d -m0755 $(DESTDIR)$(CIDIR)
	install -d -m0755 $(DESTDIR)$(CILIBDIR)

	@echo "install $(SRC_RELATIVE_CILIBDIR) files"
	for file in $(shell find $(SRC_RELATIVE_CILIBDIR) -type f); do \
            install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

# packetfence-export package
.PHONY: distclean-packetfence-export
distclean-packetfence-export:
	rm -rf packetfence-export-$(PF_PATCH_RELEASE).tar

.PHONY: dist-packetfence-export
dist-packetfence-export: distclean-packetfence-export

=== containers/Makefile ===
include ../config.mk

#==============================================================================
# Specific variables
#==============================================================================
SHELL=/bin/bash

#==============================================================================
# Tests CI or localdev
#==============================================================================
ifeq ($(CI), true)
 $(info CI environment detected)
 DEV_ENV=dev
else
 $(info localdev environment detected)
 DEV_ENV=localdev
endif

#==============================================================================
# Targets
#==============================================================================
.PHONY: run_kaniko

run_kaniko:
	docker pull ghcr.io/inverse-inc/packetfence/kaniko-build:devel
	docker container run --entrypoint '/busybox/sh' --rm --name "kaniko" --volume="$(SRC_ROOT_DIR)":/workspace -it ghcr.io/inverse-inc/packetfence/kaniko-build:devel

### Targets for localdev
DOCKERFILE_DIRS = $(shell find -type f -name "Dockerfile" -printf "%P\n")
CONTAINER_IMAGES = $(subst /Dockerfile,,$(DOCKERFILE_DIRS))

.PHONY: $(CONTAINER_IMAGES)

# KNK_REGISTRY_USER and KNK_REGISTRY_PASSWORD values
# are taken from environment
$(CONTAINER_IMAGES):
	docker container run --entrypoint '/busybox/sh' \
			--rm --name "$@_build" \
			-e "CI_PROJECT_DIR=/workspace" \
			-e "IMAGE_NAME=$@" \
			-e "IMAGE_TAGS=$(DEV_ENV)-$(KNK_REGISTRY_USER)" \
			-e "KNK_REGISTRY=$(KNK_REGISTRY)" \
			-e "KNK_REGISTRY_URL=$(KNK_REGISTRY_URL)" \
			-e "KNK_REGISTRY_USER" -e "KNK_REGISTRY_PASSWORD" \
			--volume="$(SRC_ROOT_DIR)":/workspace \
			-it ghcr.io/inverse-inc/packetfence/kaniko-build:devel

=== go/Makefile ===
include ../config.mk
GO ?= go
build_cmd = $(GO) build $(ARGS)

.PHONY: clean-caddy-src
clean-caddy-src:
	find caddy/ -type f -exec sed -i.bak "s'github.com/mholt/caddy'github.com/inverse-inc/packetfence/go/caddy/caddy'g" {} \; ; find . -name '*.bak' -delete
	find caddy/ -type f -exec sed -i.bak "s'github.com/caddyserver/caddy'github.com/inverse-inc/packetfence/go/caddy/caddy'g" {} \; ; find . -name '*.bak' -delete
	find caddy/caddy/ -name '*_test.go' -delete

.PHONY: go-env
go-env:
	GOVERSION=$(GOVERSION) ../addons/dev-helpers/setup-go-env.sh

.PHONY: test
test:
	/usr/local/pf/t/pfconfig-test ;\
	PFCONFIG_PROTO=unix PFCONFIG_TESTING=y $(GO) test -count=1 ./...

CMDS = $(wildcard cmd/*)
ALL_BINARIES = $(patsubst cmd/%, %, $(CMDS))
.PHONY: $(ALL_BINARIES)
$(ALL_BINARIES):
	$(build_cmd) -C cmd/$@ -o ../../$@

ALL_BINARIES_RACE = $(patsubst cmd/%, %-race, $(CMDS))
$(ALL_BINARIES_RACE):
	$(build_cmd) -C cmd/$(@:-race=) -o ../../$@ -race

.PHONY: all
all: $(PF_BINARIES)

.PHONY: copy
copy:
	cp -f $(PF_BINARIES) $(DESTDIR)$(SBINDIR)

.PHONY: clean
clean:
	rm -f $(PF_BINARIES)

.PHONY: clean-coredns-src
clean-coredns-src:
	find coredns/ -type f -exec sed -i.bak "s'github.com/mholt/caddy'github.com/inverse-inc/packetfence/go/caddy/caddy'g" {} \; ; find . -name '*.bak' -delete
	find coredns/ -type f -exec sed -i.bak "s'github.com/coredns/coredns'github.com/inverse-inc/packetfence/go/coredns'g" {} \; ; find . -name '*.bak' -delete
	find coredns/ -name '*_test.go' -delete

.PHONY: clean-chisel-src
clean-chisel-src:
	find chisel/ -type f -exec sed -i.bak "s'github.com/jpillora/chisel'github.com/inverse-inc/packetfence/go/chisel'g" {} \; ; find . -name '*.bak' -delete

=== addons/full-import/Makefile ===
# This Makefile is only used to build packetfence-export package
FULL_IMPORT_DIR = /usr/local/pf/addons/full-import
FUNCTIONS_DIR = /usr/local/pf/addons/functions
SRC_ADDONS_DIR=$(shell dirname $(CURDIR))
SRC_FULLIMPORT_DIR=$(SRC_ADDONS_DIR)/full-import
SRC_FUNCTIONS_DIR=$(SRC_ADDONS_DIR)/functions
EXPORT_FILES_LIST = 'export.sh find-extra-files.pl'

install:
	@echo "create directories"
	install -d -m0755 $(DESTDIR)$(FULL_IMPORT_DIR)
	install -d -m0755 $(DESTDIR)$(FUNCTIONS_DIR)

	@echo "install full import files"
	for file in $(EXPORT_FILES_LIST); do \
            install -v -m 0644 $$file -D $(DESTDIR)$(FULL_IMPORT_DIR) ; \
	done

	@echo "install functions files"
	for file in `find $(SRC_FUNCTIONS_DIR) -type f -name "*.functions"` ; do \
		install -v -m 0644 $$file -D $(DESTDIR)$(FUNCTIONS_DIR) ; \
	done

=== addons/full-upgrade/Makefile ===
FULL_UPGRADE_DIR = /usr/local/pf/addons/full-upgrade
SRC_ADDONS_DIR=$(shell dirname $(CURDIR))
SRC_FULLUPGRADE_DIR=$(SRC_ADDONS_DIR)/full-upgrade
SRC_FUNCTIONS_DIR=$(SRC_ADDONS_DIR)/functions

# full-upgrade dir is automatically created by install command
install:
	@echo "install subdirectories and files inside it"
	# /* to exclude directory himself
	for subdir in `find $(SRC_FULLUPGRADE_DIR)/* -type d -printf "%f\n"` ; do \
		install -d -m0755 $(DESTDIR)$(FULL_UPGRADE_DIR)/$$subdir ; \
		for file in `find $$subdir -type f`; do \
			install -v -m0644 $$file $(DESTDIR)$(FULL_UPGRADE_DIR)/$$subdir ; \
		done \
	done

	@echo "install top level $(SRC_FULLUPGRADE_DIR) files"
	for file in `find $(SRC_FULLUPGRADE_DIR) -maxdepth 1 -type f -not -name "Makefile"`; do \
            install -v -m 0644 $$file -D $(DESTDIR)$(FULL_UPGRADE_DIR) ; \
	done

	@echo "install functions files"
	for file in `find $(SRC_FUNCTIONS_DIR) -type f -name "*.functions"` ; do \
		install -v -m 0644 $$file -D $(DESTDIR)$(FULL_UPGRADE_DIR) ; \
	done

=== addons/perl-client/Makefile ===
# This Makefile contains 2 main sections
#  - Variables
#  - targets
include vars.mk

# ---------
# VARIABLES
# ---------

SHELL = /bin/bash
# Prefix for packaging
DESTDIR=

# Default directories install
# ---------------------------

## Common dirs
# Prefix
PREFIX=/usr/local
FBPREFIX=$(PREFIX)/fingerbank
PFPREFIX=$(PREFIX)/pf

# Fingerbank
LOGDIR=$(FBPREFIX)/logs
CONFDIR=$(FBPREFIX)/conf

# PF
PFBINDIR=$(PFPREFIX)/bin

# Commands
PFCMD_BIN=$(PFBINDIR)/pfcmd

FBUSER=fingerbank
FBGROUP=fingerbank

# ---------
# TARGETS
# ---------


init-db-local:
	@db/upgrade.pl --database db/fingerbank_Local.db; \
	chown fingerbank.fingerbank /usr/local/fingerbank/db/fingerbank_Local.db; \
	chmod 664 /usr/local/fingerbank/db/fingerbank_Local.db; \

init-db-upstream:
	@read -p "API key (ENTER if none): " api_key; \
	perl -I/usr/local/fingerbank/lib -Mfingerbank::DB -Mfingerbank::Util -Mfingerbank::Log -e "fingerbank::Log::init_logger; fingerbank::DB::update_upstream( (api_key => \"$$api_key\") )"; \
	chown fingerbank.fingerbank /usr/local/fingerbank/db/fingerbank_Upstream.db; \
	chmod 664 /usr/local/fingerbank/db/fingerbank_Upstream.db; \

package-files:
	@read -p "Version (X.Y.Z): " version; \
	read -p "From Branch: " branch; \
	tmp_dir=fingerbank-$$version; \
	temporary=/tmp/fingerbank_$$version; \
	echo Building package files tgz for fingerbank-$$version; \
	if [ -d $$tmp_dir ]; then \
		echo "Destination for git clone ($$tmp_dir) already exists"; \
	else \
		mkdir $$tmp_dir; \
		mkdir -p $$temporary; \
		git clone https://github.com/inverse-inc/packetfence.git $$temporary; \
		if [ -n $$branch ]; then \
			cd $$temporary ; \
			git checkout $$branch ; \
			cd - ; \
		fi ; \
		cp -r $$temporary/addons/perl-client/*  $$tmp_dir; \
		rm -f $$tmp_dir/README.md; \
		rm -rf $$tmp_dir/t; \
		read -p "API key: " api_key; \
		perl -I$$tmp_dir/lib -Mfingerbank::DB -Mfingerbank::Util -Mfingerbank::Log '-MLog::Log4perl qw(:easy)' -e "Log::Log4perl->easy_init(\$$INFO); fingerbank::DB::update_upstream( (api_key => \"$$api_key\", destination => \"$$tmp_dir/db/fingerbank_Upstream.db\") )"; \
		tar -czf fingerbank.tar.gz $$tmp_dir; \
		rm -rf $$tmp_dir; \
		rm -rf $$temporary; \
	fi \

package-files-standalone:
	@read -p "Version (X.Y.Z): " version; \
	read -p "From Branch: " branch; \
	tmp_dir=fingerbank-$$version; \
	temporary=/tmp/fingerbank_$$version; \
	echo Building package files tgz for fingerbank-$$version; \
	if [ -d $$tmp_dir ]; then \
		echo "Destination for git clone ($$tmp_dir) already exists"; \
	else \
		mkdir $$tmp_dir; \
		mkdir -p $$temporary ; \
		git clone https://github.com/inverse-inc/packetfence.git $$temporary; \
		if [ -n $$branch ]; then \
			cd $$temporary ; \
			git checkout $$branch ; \
			cd - ; \
		fi ; \
		cp -r $$temporary/addons/perl-client/*  $$tmp_dir; \
		rm -f $$tmp_dir/README.md; \
		rm -rf $$tmp_dir/t; \
		read -p "API key: " api_key; \
		curl -X GET  https://api.fingerbank.org/api/v2/download/db?key=$$api_key --output $$tmp_dir/db/fingerbank_Upstream.db; \
		tar -czf fingerbank.tar.gz $$tmp_dir; \
		rm -rf $$tmp_dir; \
		rm -rf $$temporary; \
	fi \

package-debian:
	sudo apt-get install git dpkg-dev debhelper sudo curl -y; \
	read -p "Version: " DEB_VERSION; \
	read -p "From Branch: " branch; \
	tmp_dir=fingerbank-$$DEB_VERSION; \
	temporary=/tmp/fingerbank_$$version; \
	if [ -d $$tmp_dir ]; then \
		echo "Destination for git clone ($$tmp_dir) already exists"; \
	else \
		mkdir $$tmp_dir; \
		mkdir -p $$temporary ; \
		git clone https://github.com/inverse-inc/packetfence.git $$temporary; \
		if [ -n $$branch ]; then \
			cd $$temporary ; \
			git checkout $$branch ; \
			cd - ; \
		fi ; \
		cp -r $$temporary/addons/perl-client/*  $$tmp_dir; \
		read -p "API key: " api_key; \
		curl -X GET  https://api.fingerbank.org/api/v2/download/db?key=$$api_key -H 'Accept-Encoding: gzip, deflate, sdch, br' --compressed --keepalive-time 3 --retry 5 --output $$tmp_dir/db/fingerbank_Upstream.db; \
		cp $$tmp_dir/db/fingerbank_Upstream.db db/fingerbank_Upstream.db; \
		tar cvfj ../fingerbank_$$DEB_VERSION.orig.tar.bz2 $$tmp_dir; \
		rm -rf $$tmp_dir; \
		rm -rf $$temporary; \
		echo run dpkg-buildpackage -rfakeroot to build the package; \
	fi \

reset-db-handles:
		@perl -I/usr/local/fingerbank/lib -I/usr/local/pf/lib_perl/lib/perl5 -Mfingerbank::DB -Mfingerbank::Util -Mfingerbank::Log -e "fingerbank::Log::init_logger; fingerbank::Util::reset_db_handles"; \

fixpermissions:
	@perl -I/usr/local/fingerbank/lib -I/usr/local/pf/lib_perl/lib/perl5 -Mfingerbank::DB -Mfingerbank::Util -Mfingerbank::Log -e "fingerbank::Log::init_logger; fingerbank::Util::fix_permissions"; \

test:
	FINGERBANK_KEY=$$api_key perl t/smoke.t

full-test:
	@read -p "API key (ENTER if none): " api_key; \
	FINGERBANK_KEY=$$api_key perl t/smoke.t

.PHONY: db/fingerbank_Upstream.db
db/fingerbank_Upstream.db:
	@# @ to hide API_KEY even if API_KEY is hidden by GitLab CI
	@curl --retry 3 --fail -X GET $(UPSTREAM_DB_URL)?key=$(API_KEY) --output $@

.PHONY: distclean
distclean:
	rm -rf fingerbank-$(FB_VERSION).tar

.PHONY: dist
dist: distclean db/fingerbank_Upstream.db
	mkdir -p fingerbank-$(FB_VERSION)
	cp -pRH $(files_to_include) fingerbank-$(FB_VERSION)
	tar c --exclude-from=$(SRC_ROOT_DIR)/dist_ignore \
		-f fingerbank-$(FB_VERSION).tar fingerbank-$(FB_VERSION)
	rm -rf fingerbank-$(FB_VERSION)

build_rpm: dist
	yum install epel-release -y
	ci-build-pkg

# no dist dependencie because build process will automatically create an archive
build_deb: db/fingerbank_Upstream.db
	cp $(SRC_CIDIR)/debian/.devscripts $(HOME)
	ci-build-pkg

=== ci/debian-installer/Makefile ===
PF_VERSION=$(CI_COMMIT_REF_SLUG)
RESULT_DIR=results

.PHONY: packetfence-debian-installer.iso

iso:
	echo "Building Debian installer for $(PF_VERSION)"
	PF_RELEASE='$(shell cat ../../conf/pf-release)' \
	PF_VERSION='$(PF_VERSION)' \
	 ./build-and-upload.sh

.PHONY: clean
clean:
	rm -rf $(RESULT_DIR)

=== ci/packer/Makefile ===
include ../../config.mk

#==============================================================================
# Targets
#==============================================================================

.PHONY: all
all: build_img_docker_pfbuild build_img_docker_cpanbuild

.PHONY: build_img_docker_pfbuild
build_img_docker_pfbuild:
	GOVERSION=$(GOVERSION) PF_MINOR_RELEASE=$(PF_MINOR_RELEASE) ./packer-wrapper.sh

.PHONY: build_img_docker_cpanbuild
build_img_docker_cpanbuild:
	GOVERSION=$(GOVERSION) PF_MINOR_RELEASE=$(PF_MINOR_RELEASE) \
	PACKER_TEMPLATE=cpanbuild.json ./packer-wrapper.sh

=== go/chisel/Makefile ===
VERSION=$(shell git describe --abbrev=0 --tags)
BUILD=$(shell git rev-parse HEAD)
DIRBASE=./build
DIR=${DIRBASE}/${VERSION}/${BUILD}/bin

LDFLAGS=-ldflags "-s -w ${XBUILD} -buildid=${BUILD} -X github.com/inverse-inc/packetfence/go/chisel/share.BuildVersion=${VERSION}"

GOFILES=`go list ./...`
GOFILESNOTEST=`go list ./... | grep -v test`

# Make Directory to store executables
$(shell mkdir -p ${DIR})

all:
	@goreleaser build --skip-validate --single-target --config .github/goreleaser.yml

freebsd: lint
	env CGO_ENABLED=0 GOOS=freebsd GOARCH=amd64 go build -trimpath ${LDFLAGS} ${GCFLAGS} ${ASMFLAGS} -o ${DIR}/chisel-freebsd_amd64 .

linux: lint
	env CGO_ENABLED=1 GOOS=linux GOARCH=amd64 go build -trimpath ${LDFLAGS} ${GCFLAGS} ${ASMFLAGS} -o ${DIR}/chisel-linux_amd64 .

windows: lint
	env CGO_ENABLED=1 GOOS=windows GOARCH=amd64 go build -trimpath ${LDFLAGS} ${GCFLAGS} ${ASMFLAGS} -o ${DIR}/chisel-windows_amd64 .

darwin:
	env CGO_ENABLED=0 GOOS=darwin GOARCH=amd64 go build -trimpath ${LDFLAGS} ${GCFLAGS} ${ASMFLAGS} -o ${DIR}/chisel-darwin_amd64 .

docker:
	@docker build .

dep: ## Get the dependencies
	@go get -u github.com/goreleaser/goreleaser
	@go get -u github.com/boumenot/gocover-cobertura
	@go get -v -d ./...
	@go get -u all
	@go mod tidy

lint: ## Lint the files
	@go fmt ${GOFILES}
	@go vet ${GOFILESNOTEST}

test: ## Run unit tests
	@go test -coverprofile=${DIR}/coverage.out -race -short ${GOFILESNOTEST}
	@go tool cover -html=${DIR}/coverage.out -o ${DIR}/coverage.html
	@gocover-cobertura < ${DIR}/coverage.out > ${DIR}/coverage.xml

release: lint test
	goreleaser release --config .github/goreleaser.yml

clean:
	rm -rf ${DIRBASE}/*

.PHONY: all freebsd linux windows docker dep lint test release clean

=== html/common/Makefile ===
CSS_FILES = styles.css styles.css.map

all:
	@echo "Use 'make vendor' to update external libraries, 'make dev' to generate the stylesheet and 'make dist' to commit the distribution version."

vendor:
	npm rebuild node-sass
	npm install --unsafe-perm
	npm install --unsafe-perm -g grunt-cli

dev:
	grunt --stack dev

dist:
	grunt --stack dist
	git update-index --no-assume-unchanged $(CSS_FILES)
	git add -f $(CSS_FILES)
	@if ! git diff --cached --quiet --exit-code; then \
		git commit -m "(web common) Update generated files"; \
	else \
		echo "Nothing to commit; skipping git-commit"; \
	fi
	git update-index --assume-unchanged $(CSS_FILES) $(JS_FILES) $(JS_LIB_FILES)

light-dist:
	grunt --stack dist

clean:
	rm -rf ./node_modules

=== t/addons-functions/Makefile ===
test:
	./run-all.tests

=== t/venom/Makefile ===
include ../../config.mk
#==============================================================================
# Specific variables
#==============================================================================
SHELL=/bin/bash
PFSERVERS_DIR=pfservers

#==============================================================================
# Tests CI or localdev
#==============================================================================
# in localdev, we don't want to clean all VM created previously
ifeq ($(CI), true)
 $(info CI environment detected)
 MAKE_TARGET=run
 DEV_ENV=dev
 RESULT_DIR=$(CI_PROJECT_DIR)/results
else
 $(info localdev environment detected)
 MAKE_TARGET=run
 DEV_ENV=localdev
 RESULT_DIR=$(SRC_ROOT_DIR)/results
endif

#==============================================================================
# Targets
#==============================================================================
.PHONY: install run halt clean
install:
	./install-venom.sh

run:
	CI_PIPELINE_ID=$(CI_PIPELINE_ID) \
	PF_MINOR_RELEASE=$(PF_MINOR_RELEASE) \
	RESULT_DIR=$(RESULT_DIR) \
	PF_VM_NAMES="$(PF_VM_NAMES)" \
	CLUSTER_NAME="$(CLUSTER_NAME)" \
	INT_TEST_VM_NAMES="$(INT_TEST_VM_NAMES)" \
	SCENARIOS_TO_RUN="$(SCENARIOS_TO_RUN)" \
	./test-wrapper.sh run

# to only run tests
run_tests:
	CI_PIPELINE_ID=$(CI_PIPELINE_ID) \
	PF_MINOR_RELEASE=$(PF_MINOR_RELEASE) \
	PF_VM_NAMES="$(PF_VM_NAMES)" \
	CLUSTER_NAME="$(CLUSTER_NAME)" \
	INT_TEST_VM_NAMES="$(INT_TEST_VM_NAMES)" \
	SCENARIOS_TO_RUN="$(SCENARIOS_TO_RUN)" \
	./test-wrapper.sh run_tests

halt: halt_pf clean_cache
halt_force: halt_pf_force clean_cache

halt_pf:
	PF_VM_NAMES="$(PF_VM_NAMES)" \
	CLUSTER_NAME="$(CLUSTER_NAME)" \
	RESULT_DIR=$(RESULT_DIR) \
	INT_TEST_VM_NAMES="$(INT_TEST_VM_NAMES)" \
	./test-wrapper.sh halt

halt_pf_force:
	PF_VM_NAMES="$(PF_VM_NAMES)" \
	CLUSTER_NAME="$(CLUSTER_NAME)" \
	RESULT_DIR=$(RESULT_DIR) \
	INT_TEST_VM_NAMES="$(INT_TEST_VM_NAMES)" \
	./test-wrapper.sh halt_force

teardown: teardown_pf clean_cache
teardown_pf:
	PF_VM_NAMES="$(PF_VM_NAMES)" \
	CLUSTER_NAME="$(CLUSTER_NAME)" \
	RESULT_DIR=$(RESULT_DIR) \
	INT_TEST_VM_NAMES="$(INT_TEST_VM_NAMES)" \
	./test-wrapper.sh teardown

clean: clean_pf clean_cache

clean_pf:
	RESULT_DIR=$(RESULT_DIR) \
	./test-wrapper.sh teardown

clean_cache:
	sudo /bin/sync; echo 1 | sudo /usr/bin/tee /proc/sys/vm/drop_caches

### Pristine images
# use pristine images to install PacketFence from scratch
# with all dependencies
configurator_el8_pristine:
	make \
	PF_VM_NAMES=el8$(DEV_ENV) \
	SCENARIOS_TO_RUN=configurator \
	$(MAKE_TARGET)

configurator_deb11_pristine:
	make \
	PF_VM_NAMES=deb11$(DEV_ENV) \
	SCENARIOS_TO_RUN=configurator \
	$(MAKE_TARGET)

### End of pristine images

unit_tests_el8:
	make \
	PF_VM_NAMES=pfel8$(DEV_ENV) \
	SCENARIOS_TO_RUN=unit_tests \
	$(MAKE_TARGET)

configurator_el8:
	make \
	PF_VM_NAMES=pfel8$(DEV_ENV) \
	SCENARIOS_TO_RUN=configurator \
	$(MAKE_TARGET)

configurator_deb11:
	make \
	PF_VM_NAMES=pfdeb11$(DEV_ENV) \
	SCENARIOS_TO_RUN=configurator \
	$(MAKE_TARGET)

dot1x_eap_peap_el8:
	make \
	PF_VM_NAMES=pfel8$(DEV_ENV) \
	INT_TEST_VM_NAMES="ad switch01 node01 node03 wireless01" \
	SCENARIOS_TO_RUN=dot1x_eap_peap \
	$(MAKE_TARGET)

dot1x_eap_peap_deb11:
	make \
	PF_VM_NAMES=pfdeb11$(DEV_ENV) \
	INT_TEST_VM_NAMES="ad switch01 node01 node03 wireless01" \
	SCENARIOS_TO_RUN=dot1x_eap_peap \
	$(MAKE_TARGET)

mac_auth_el8:
	make \
	PF_VM_NAMES=pfel8$(DEV_ENV) \
	INT_TEST_VM_NAMES="switch01 node01 wireless01" \
	SCENARIOS_TO_RUN=mac_auth \
	$(MAKE_TARGET)

mac_auth_deb11:
	make \
	PF_VM_NAMES=pfdeb11$(DEV_ENV) \
	INT_TEST_VM_NAMES="switch01 node01 wireless01" \
	SCENARIOS_TO_RUN=mac_auth \
	$(MAKE_TARGET)

dot1x_eap_tls_el8:
	make \
	PF_VM_NAMES=pfel8$(DEV_ENV) \
	INT_TEST_VM_NAMES="ad switch01 node01" \
	SCENARIOS_TO_RUN=dot1x_eap_tls \
	$(MAKE_TARGET)

dot1x_eap_tls_deb11:
	make \
	PF_VM_NAMES=pfdeb11$(DEV_ENV) \
	INT_TEST_VM_NAMES="ad switch01 node01" \
	SCENARIOS_TO_RUN=dot1x_eap_tls \
	$(MAKE_TARGET)

inline_deb11:
	make \
	PF_VM_NAMES=pfdeb11$(DEV_ENV) \
	SCENARIOS_TO_RUN=inline \
	$(MAKE_TARGET)

inline_el8:
	make \
	PF_VM_NAMES=pfel8$(DEV_ENV) \
	SCENARIOS_TO_RUN=inline \
	$(MAKE_TARGET)

fingerbank_invalid_db_deb11:
	make \
	PF_VM_NAMES=pfdeb11$(DEV_ENV) \
	INT_TEST_VM_NAMES="ad switch01 node01 wireless01" \
	SCENARIOS_TO_RUN=fingerbank_invalid_db \
	$(MAKE_TARGET)

external_integrations_deb11:
	make \
	PF_VM_NAMES=pfdeb11$(DEV_ENV) \
	INT_TEST_VM_NAMES="linux02" \
	SCENARIOS_TO_RUN=external_integrations \
	$(MAKE_TARGET)

security_events_deb11:
	make \
	PF_VM_NAMES=pfdeb11$(DEV_ENV) \
	INT_TEST_VM_NAMES="switch01 node01" \
	SCENARIOS_TO_RUN=security_events \
	$(MAKE_TARGET)

cli_login_el8:
	make \
	PF_VM_NAMES=pfel8$(DEV_ENV) \
        SCENARIOS_TO_RUN=cli_login \
        $(MAKE_TARGET)

cli_login_deb11:
	make \
	PF_VM_NAMES=pfdeb11$(DEV_ENV) \
	SCENARIOS_TO_RUN=cli_login \
	$(MAKE_TARGET)

captive_portal_el8:
	make \
	PF_VM_NAMES=pfel8$(DEV_ENV) \
	INT_TEST_VM_NAMES="switch01 node01" \
	SCENARIOS_TO_RUN=captive_portal \
	$(MAKE_TARGET)

captive_portal_deb11:
	make \
	PF_VM_NAMES=pfdeb11$(DEV_ENV) \
	INT_TEST_VM_NAMES="switch01 node01" \
	SCENARIOS_TO_RUN=captive_portal \
	$(MAKE_TARGET)

inline_l2_and_radius_el8:
	make \
	PF_VM_NAMES=pfel8$(DEV_ENV) \
	INT_TEST_VM_NAMES="switch01 node01 node03" \

	SCENARIOS_TO_RUN=inline_l2_and_radius \
	$(MAKE_TARGET)
inline_l2_and_radius_deb11:
	make \
	PF_VM_NAMES=pfdeb11$(DEV_ENV) \
	INT_TEST_VM_NAMES="switch01 node01 node03" \
	SCENARIOS_TO_RUN=inline_l2_and_radius \
	$(MAKE_TARGET)

pfappserver_el8:
	make \
	PF_VM_NAMES=pfel8$(DEV_ENV) \
	SCENARIOS_TO_RUN=pfappserver \
	$(MAKE_TARGET)

pfappserver_deb11:
	make \
	PF_VM_NAMES=pfdeb11$(DEV_ENV) \
	SCENARIOS_TO_RUN=pfappserver \
	$(MAKE_TARGET)

example_el8: SCENARIOS_TO_RUN=example
example_el8:
	make \
	PF_VM_NAMES=pfel8$(DEV_ENV) \
	INT_TEST_VM_NAMES="$(INT_TEST_VM_NAMES)" \
	SCENARIOS_TO_RUN="$(SCENARIOS_TO_RUN)" \
	$(MAKE_TARGET)

# can be overriden like this:
# make -C t/venom/ INT_TEST_VM_NAMES=switch01 SCENARIOS_TO_RUN=configurator example_deb11
example_deb11: SCENARIOS_TO_RUN=example
example_deb11:
	make \
	PF_VM_NAMES=pfdeb11$(DEV_ENV) \
	INT_TEST_VM_NAMES="$(INT_TEST_VM_NAMES)" \
	SCENARIOS_TO_RUN="$(SCENARIOS_TO_RUN)" \
	$(MAKE_TARGET)

test_deb11:
	make \
        PF_VM_NAMES=pfdeb11$(DEV_ENV) \
        SCENARIOS_TO_RUN=test_venom\
        $(MAKE_TARGET)

cluster_deb11:
	make \
	PF_VM_NAMES="pf1deb11$(DEV_ENV) pf2deb11$(DEV_ENV) pf3deb11$(DEV_ENV)" \
	CLUSTER_NAME="$@$(DEV_ENV)" \
	SCENARIOS_TO_RUN=cluster \
	$(MAKE_TARGET)

cluster_el8:
	make \
	PF_VM_NAMES="pf1el8$(DEV_ENV) pf2el8$(DEV_ENV) pf3el8$(DEV_ENV)" \
	CLUSTER_NAME="$@$(DEV_ENV)" \
	SCENARIOS_TO_RUN=cluster \
	$(MAKE_TARGET)

### alias to run tests on other branches
# it's a hack to simplify definition of jobs in .gitlab-ci.yml
captive_portal_deb11_branches: captive_portal_deb11
captive_portal_el8_branches: captive_portal_el8
cli_login_deb11_branches: cli_login_deb11
cli_login_el8_branches: cli_login_el8
configurator_deb11_branches: configurator_deb11
configurator_el8_branches: configurator_el8
dot1x_eap_peap_deb11_branches: dot1x_eap_peap_deb11
dot1x_eap_peap_el8_branches: dot1x_eap_peap_el8
dot1x_eap_tls_deb11_branches: dot1x_eap_tls_deb11
dot1x_eap_tls_el8_branches: dot1x_eap_tls_el8
external_integrations_deb11_branches: external_integrations_deb11
fingerbank_invalid_db_deb11_branches: fingerbank_invalid_db_deb11
inline_deb11_branches: inline_deb11
inline_el8_branches: inline_el8
mac_auth_deb11_branches: mac_auth_deb11
mac_auth_el8_branches: mac_auth_el8
security_events_deb11_branches: security_events_deb11
unit_tests_el8_branches: unit_tests_el8
pfappserver_el8_branches: pfappserver_el8
pfappserver_deb11_branches: pfappserver_deb11

=== addons/packetfence-perl/debian/changelog ===
packetfence-perl (1.2.3) unstable; urgency=medium

  * Add dependencies Digest-MD4 1.9

 -- Inverse <info@inverse.ca>  Thu, 16 Nov 2023 12:08:00 +0100

packetfence-perl (1.2.2) unstable; urgency=medium

  * Upgrade Net::HTTP 6.21 -> 6.23

 -- Inverse <info@inverse.ca>  Wed, 07 Nov 2023 11:01:00 +0100

packetfence-perl (1.2.1) unstable; urgency=medium

  * Add Test::Simple

 -- Inverse <info@inverse.ca>  Wed, 23 Feb 2022 11:17:00 +0100

packetfence-perl (1.2.0) unstable; urgency=medium

  * Add new dependencies and improve download from CPAN

 -- Inverse <info@inverse.ca>  Tue, 08 Feb 2022 11:17:00 +0100

packetfence-perl (1.1.2) unstable; urgency=medium

  * Remove Crypt::OpenSSL::PKCS12

 -- Inverse <info@inverse.ca>  Web, 25 Aug 2021 11:17:00 +0100

packetfence-perl (1.1.1) unstable; urgency=medium

  * Remove Crypt::OpenSSL::PKCS12

 -- Inverse <info@inverse.ca>  Tue, 24 Aug 2021 11:17:00 +0100

packetfence-perl (1.1.0) unstable; urgency=medium

  * Remove Crypt::SMIME

 -- Inverse <info@inverse.ca>  Mon, 16 Aug 2021 11:17:00 +0100

packetfence-perl (1.0.0-1) unstable; urgency=medium

  * Initial version

 -- Inverse <info@inverse.ca>  Mon, 16 Aug 2021 11:00:00 +0100

=== addons/perl-client/debian/changelog ===
fingerbank (4.3.2) unstable; urgency=medium

  * Adjust permissions detection for SQLite3 databases

 -- Inverse inc. <info@inverse.ca>  Tue, 23 Aug 2022 10:36:12 +0200

fingerbank (4.3.1) unstable; urgency=medium

  * Add function to list top device classes as objects

 -- Inverse inc. <info@inverse.ca>  Thu, 16 Jun 2022 10:36:12 +0200

fingerbank (4.3.0) unstable; urgency=medium

  * Support containers based PacketFence (v12)

 -- Inverse inc. <info@inverse.ca>  Fri, 29 Apr 2022 10:36:12 +0200

fingerbank (4.2.3) unstable; urgency=medium

  * Allow to add environment overrides to collector via the config

 -- Inverse inc. <info@inverse.ca>  Mon, 14 Feb 2022 10:36:12 +0200

fingerbank (4.2.2) unstable; urgency=medium

  * New upstream version
  * Switch from non-native to native package

 -- Inverse inc. <info@inverse.ca>  Thu, 01 Jul 2021 10:36:12 +0200

fingerbank (4.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Inverse inc. <info@inverse.ca>  Wed, 22 Jul 2020 10:36:12 +0200

fingerbank (4.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Inverse inc. <info@inverse.ca>  Wed, 19 Feb 2020 10:36:12 +0200

fingerbank (4.1.5-1) unstable; urgency=medium

  * New upstream version

 -- Inverse inc. <info@inverse.ca>  Wed, 23 Oct 2019 10:36:12 +0200

fingerbank (4.1.4-2) unstable; urgency=medium

  * Fix permissions for fingerbank.conf

 -- Inverse inc. <info@inverse.ca>  Sun, 21 Jul 2019 17:13:12 +0200

fingerbank (4.1.4-1) unstable; urgency=medium

 -- Inverse inc. <info@inverse.ca>  Fri, 19 Jul 2019 14:39:12 -0400

fingerbank (4.1.3-4) unstable; urgency=medium

  * Remove new vagrant directory from packaging

 -- Inverse inc. <info@inverse.ca>  Fri, 28 Jun 2019 14:39:12 +0200

fingerbank (4.1.3-3) unstable; urgency=medium

  * Allow fingerbank to be installed without packetfence on Debian

 -- Inverse inc. <info@inverse.ca>  Fri, 28 Jun 2019 14:28:17 +0200

fingerbank (4.1.3-2) unstable; urgency=low

  * Adapt Debian packaging to CI

 -- Inverse inc. <info@inverse.ca>  Mon, 29 Apr 2019 12:15:08 +0200

fingerbank (4.1.3-1) unstable; urgency=low

  * Version 4.1.3

 -- Inverse Support (package signing) <support@inverse.ca>  Mon, 19 Nov 2018 09:18:00 -0400

fingerbank (4.1.2-1) unstable; urgency=low

  * Version 4.1.2

 -- Inverse Support (package signing) <support@inverse.ca>  Mon, 24 Oct 2018 09:18:00 -0400

fingerbank (4.1.1-1) unstable; urgency=low

  * Version 4.1.1

 -- Inverse Support (package signing) <support@inverse.ca>  Mon, 4 Sep 2018 09:18:00 -0400

fingerbank (4.1.0-1) unstable; urgency=low

  * Version 4.1.0

 -- Inverse Support (package signing) <support@inverse.ca>  Wed, 27 Jun 2018 09:18:00 -0400

fingerbank (4.0.1-1) unstable; urgency=low

  * Version 4.0.1

 -- Inverse Support (package signing) <support@inverse.ca>  Fri, 25 May 2018 09:18:00 -0400

fingerbank (4.0.0-1) unstable; urgency=low

  * Version 4.0.0

 -- Inverse Support (package signing) <support@inverse.ca>  Mon, 12 Feb 2018 09:18:00 -0400

fingerbank (3.1.1-1) unstable; urgency=low

  * Version 3.1.1

 -- Inverse Support (package signing) <support@inverse.ca>  Wed, 06 Jul 2017 09:18:00 -0400

fingerbank (3.1.0-1) unstable; urgency=low

  * Version 3.1.0

 -- Inverse Support (package signing) <support@inverse.ca>  Wed, 24 Mar 2017 09:18:00 -0400

fingerbank (3.0.1-1) unstable; urgency=low

  * Version 3.0.1

 -- Durand Fabrice <fdurand@inverse.ca>  Wed, 19 Oct 2016 08:15:59 -0400

fingerbank (3.0.0-1) unstable; urgency=low

  * Version 3.0.0

 -- Wuelfrath Derek <dwuelfrath@inverse.ca>  Fri, 29 Jul 2016 14:12:59 -0400

fingerbank (2.3.0-1) unstable; urgency=low

  * Version 2.3.0

 -- Semaan Julien <jsemaan@inverse.ca>  Fri, 15 Jul 2016 14:12:59 -0400

fingerbank (2.2.2-1) unstable; urgency=low

  * Version 2.2.2

 -- Wuelfrath Derek <dwuelfrath@inverse.ca>  Fri, 17 Jun 2016 11:15:59 -0400

fingerbank (2.2.1-1) unstable; urgency=low

  * Version 2.2.1

 -- Wuelfrath Derek <dwuelfrath@inverse.ca>  Thu, 12 May 2016 11:15:59 -0400

fingerbank (2.2.0-1) unstable; urgency=low

  * Version 2.2.0

 -- Wuelfrath Derek <dwuelfrath@inverse.ca>  Tue, 22 Mar 2016 11:15:59 -0400

fingerbank (2.1.1-1) unstable; urgency=low

  * Version 2.1.1

 -- Semaan Julien <jsemaan@inverse.ca>  Mon, 14 Dec 2015 11:15:59 -0400

fingerbank (2.1.0-1) unstable; urgency=low

  * Version 2.1.0

 -- Wuelfrath Derek <dwuelfrath@inverse.ca>  Fri, 04 Dec 2015 11:15:59 -0400

fingerbank (2.0.1-1) unstable; urgency=low

  * Version 2.0.1

 -- Wuelfrath Derek <dwuelfrath@inverse.ca>  Fri, 27 Nov 2015 11:15:59 -0400

fingerbank (2.0.0-1) unstable; urgency=low

  * Version 2.0.0

 -- Wuelfrath Derek <dwuelfrath@inverse.ca>  Wed, 04 Nov 2015 11:15:59 -0400

fingerbank (1.0.4-1) unstable; urgency=low

  * Version 1.0.4

 -- Durand Fabrice <fdurand@inverse.ca>  Mon, 28 Sep 2015 11:15:59 -0400

fingerbank (1.0.3-1) unstable; urgency=low

  * Version 1.0.3

 -- Wuelfrath Derek <dwuelfrath@inverse.ca>  Thu, 18 Jun 2015 11:15:59 -0400

fingerbank (1.0.2-1) unstable; urgency=low

  * Version 1.0.2

 -- Durand Fabrice <fdurand@inverse.ca>  Wed, 12 May 2015 13:05:59 -0400

fingerbank (1.0.0) unstable; urgency=low

  * Initial release

 -- Durand Fabrice <fdurand@inverse.ca>  Wed, 08 Apr 2015 13:05:59 -0400

=== debian/changelog ===
packetfence (13.2.0+20240910143625+1448220356+0011+maintenance~13~2+bullseye1) bullseye; urgency=medium

  * build for maintenance/13.2

 -- Inverse inc. <support@inverse.ca>  Tue, 10 Sep 2024 23:37:22 +0000

=== addons/packetfence-perl/debian/control ===
Source: packetfence-perl
Section: net
Priority: optional
Maintainer: Inverse inc. <info@inverse.ca>
Build-Depends: debhelper (>= 7.0.50~), curl
Standards-Version: 3.8.4

Package: packetfence-perl
Architecture: all
Depends: ${misc:Depends},
 tar
Provides: libae-log-collect-perl,
 libcatalyst-modules-perl,
 libcatalyst-perl (= 5.90128),
 libcarp-perl,
 libae-log-filter-perl,
 libae-log-log-perl,
 libae-perl,
 libalgorithm-c3-perl,
 libalgorithm-combinatorics-iterator-perl,
 libalgorithm-combinatorics-justcoderef-perl,
 libalgorithm-combinatorics-perl,
 libaliased-perl,
 libalien-base-perl,
 libalien-base-pkgconfig-perl,
 libalien-base-wrapper-perl,
 libalien-build-commandsequence-perl,
 libalien-build-helper-perl,
 libalien-build-interpolate-default-perl,
 libalien-build-interpolate-helper-perl,
 libalien-build-interpolate-perl,
 libalien-build-log-abbreviate-perl,
 libalien-build-log-default-perl,
 libalien-build-log-perl,
 libalien-build-meta-perl,
 libalien-build-mm-perl,
 libalien-build-perl,
 libalien-build-plugin-build-autoconf-perl,
 libalien-build-plugin-build-cmake-perl,
 libalien-build-plugin-build-copy-perl,
 libalien-build-plugin-build-make-perl,
 libalien-build-plugin-build-msys-perl,
 libalien-build-plugin-build-searchdep-perl,
 libalien-build-plugin-core-cleaninstall-perl,
 libalien-build-plugin-core-download-perl,
 libalien-build-plugin-core-ffi-perl,
 libalien-build-plugin-core-gather-perl,
 libalien-build-plugin-core-legacy-perl,
 libalien-build-plugin-core-override-perl,
 libalien-build-plugin-core-setup-perl,
 libalien-build-plugin-core-tail-perl,
 libalien-build-plugin-decode-dirlistingftpcopy-perl,
 libalien-build-plugin-decode-dirlisting-perl,
 libalien-build-plugin-decode-html-perl,
 libalien-build-plugin-decode-mojo-perl,
 libalien-build-plugin-download-negotiate-perl,
 libalien-build-plugin-extract-archivetar-perl,
 libalien-build-plugin-extract-archivezip-perl,
 libalien-build-plugin-extract-commandline-perl,
 libalien-build-plugin-extract-directory-perl,
 libalien-build-plugin-extract-negotiate-perl,
 libalien-build-plugin-fetch-curlcommand-perl,
 libalien-build-plugin-fetch-httptiny-perl,
 libalien-build-plugin-fetch-localdir-perl,
 libalien-build-plugin-fetch-local-perl,
 libalien-build-plugin-fetch-lwp-perl,
 libalien-build-plugin-fetch-netftp-perl,
 libalien-build-plugin-fetch-wget-perl,
 libalien-build-plugin-gather-isolatedynamic-perl,
 libalien-build-pluginmeta-perl,
 libalien-build-plugin-perl,
 libalien-build-plugin-pkgconfig-commandline-perl,
 libalien-build-plugin-pkgconfig-libpkgconf-perl,
 libalien-build-plugin-pkgconfig-makestatic-perl,
 libalien-build-plugin-pkgconfig-negotiate-perl,
 libalien-build-plugin-pkgconfig-pp-perl,
 libalien-build-plugin-prefer-badversion-perl,
 libalien-build-plugin-prefer-goodversion-perl,
 libalien-build-plugin-prefer-sortversions-perl,
 libalien-build-plugin-probe-cbuilder-perl,
 libalien-build-plugin-probe-commandline-perl,
 libalien-build-plugin-probe-vcpkg-perl,
 libalien-build-plugin-test-mock-perl,
 libalien-build-rc-perl,
 libalien-build-tempdir-perl,
 libalien-build-temp-perl,
 libalien-build-util-perl,
 libalien-build-version-basic-perl,
 libalienfile-perl,
 libalien-libxml2-install-files-perl,
 libalien-libxml2-perl,
 libalien-role-perl,
 libanyevent-base-perl,
 libanyevent-condvar-base-perl,
 libanyevent-condvar-perl,
 libanyevent-debug-backtrace-perl,
 libanyevent-debug-perl,
 libanyevent-debug-shell-perl,
 libanyevent-debug-wrapped-perl,
 libanyevent-debug-wrap-perl,
 libanyevent-dns-perl,
 libanyevent-handle-perl,
 libanyevent-impl-cocoa-perl,
 libanyevent-impl-eventlib-perl,
 libanyevent-impl-event-perl,
 libanyevent-impl-ev-perl,
 libanyevent-impl-fltk-perl,
 libanyevent-impl-glib-perl,
 libanyevent-impl-ioasync-perl,
 libanyevent-impl-irssi-perl,
 libanyevent-impl-perl-perl,
 libanyevent-impl-poe-perl,
 libanyevent-impl-qt-io-perl,
 libanyevent-impl-qt-perl,
 libanyevent-impl-qt-timer-perl,
 libanyevent-impl-tk-perl,
 libanyevent-impl-uv-perl,
 libanyevent-io-ioaio-perl,
 libanyevent-io-perl,
 libanyevent-io-perl-perl,
 libanyevent-log-collect-perl,
 libanyevent-log-ctx-perl,
 libanyevent-log-filter-perl,
 libanyevent-log-log-perl,
 libanyevent-log-perl,
 libanyevent-loop-perl,
 libanyevent-perl,
 libanyevent-socket-perl,
 libanyevent-strict-perl,
 libanyevent-tls-perl,
 libanyevent-util-perl,
 libapache-htpasswd-perl,
 libapache-logformat-compiler-perl,
 libapache-session-file-perl,
 libapache-session-flex-perl,
 libapache-session-generate-md5-perl,
 libapache-session-generate-moduniqueid-perl,
 libapache-session-generate-modusertrack-perl,
 libapache-session-informix-perl,
 libapache-session-lock-file-perl,
 libapache-session-lock-mysql-perl,
 libapache-session-lock-null-perl,
 libapache-session-lock-semaphore-perl,
 libapache-session-lock-sybase-perl,
 libapache-session-mysql-nolock-perl,
 libapache-session-mysql-perl,
 libapache-session-oracle-perl,
 libapache-session-perl,
 libapache-session-postgres-perl,
 libapache-session-serialize-base64-perl,
 libapache-session-serialize-storable-perl,
 libapache-session-serialize-sybase-perl,
 libapache-session-serialize-uuencode-perl,
 libapache-session-store-dbi-perl,
 libapache-session-store-file-perl,
 libapache-session-store-informix-perl,
 libapache-session-store-mysql-perl,
 libapache-session-store-oracle-perl,
 libapache-session-store-postgres-perl,
 libapache-session-store-sybase-perl,
 libapache-session-sybase-perl,
 libappconfig-args-perl,
 libappconfig-cgi-perl,
 libappconfig-file-perl,
 libappconfig-getopt-perl,
 libappconfig-perl,
 libappconfig-state-perl,
 libappconfig-sys-perl,
 libarchive-any-lite-perl,
 libarchive-any-lite-tar-perl,
 libarchive-any-lite-zip-perl,
 libarray-diff-perl,
 libasync-interrupt-perl,
 libauthen-htpasswd-perl,
 libauthen-htpasswd-user-perl,
 libauthen-htpasswd-util-perl,
 libauthen-krb5-simple-perl,
 libauthen-radius-perl,
 libauthen-sasl-external-perl,
 libauthen-sasl-perl,
 libauthen-sasl-perl-anonymous-perl,
 libauthen-sasl-perl-external-perl,
 libauthen-sasl-perl-gssapi-perl,
 libauthen-sasl-perl-layer-perl,
 libauthen-sasl-perl-login-perl,
 libauthen-sasl-perl-perl,
 libauthen-sasl-perl-plain-perl,
 libbareword-filehandles-perl,
 libbar-perl,
 libbaz-perl,
 libb-cow-perl,
 libbencode-perl,
 libb-hooks-endofscope-perl,
 libb-hooks-endofscope-pp-perl,
 libb-hooks-endofscope-xs-perl,
 libb-hooks-op-check-install-files-perl,
 libb-hooks-op-check-perl,
 libbit-vector-overload-perl,
 libbit-vector-perl,
 libbit-vector-string-perl,
 libb-keywords-perl,
 libboolean-perl,
 libbundle-dbd-csv-perl,
 libbundle-dbi-perl,
 libbundle-net-ldap-perl,
 libbytes-random-secure-perl,
 libcache-basecache-perl,
 libcache-basecachetester-perl,
 libcache-cachemetadata-perl,
 libcache-cache-perl,
 libcache-cachesizer-perl,
 libcache-cachetester-perl,
 libcache-cacheutils-perl,
 libcache-fastmmap-onleave-perl,
 libcache-fastmmap-perl,
 libcache-filebackend-perl,
 libcache-filecache-perl,
 libcache-memorybackend-perl,
 libcache-memorycache-perl,
 libcache-nullcache-perl,
 libcache-object-perl,
 libcache-sharedmemorybackend-perl,
 libcache-sharedmemorycache-perl,
 libcache-sizeawarecache-perl,
 libcache-sizeawarecachetester-perl,
 libcache-sizeawarefilecache-perl,
 libcache-sizeawarememorycache-perl,
 libcache-sizeawaresharedmemorycache-perl,
 libcanary-stability-perl,
 libcapture-tiny-perl,
 libcarp-assert-more-perl,
 libcarp-assert-perl,
 libcarp-clan-perl,
 libcatalyst-actionchain-perl,
 libcatalyst-actioncontainer-perl,
 libcatalyst-action-deserialize-callback-perl,
 libcatalyst-action-deserialize-json-perl,
 libcatalyst-action-deserialize-json-xs-perl,
 libcatalyst-action-deserializemultipart-perl,
 libcatalyst-action-deserialize-perl,
 libcatalyst-action-deserialize-view-perl,
 libcatalyst-action-deserialize-xml-simple-perl,
 libcatalyst-action-deserialize-yaml-perl,
 libcatalyst-action-perl,
 libcatalyst-action-renderview-perl,
 libcatalyst-action-rest-forbrowsers-perl,
 libcatalyst-action-rest-perl,
 libcatalyst-actionrole-consumescontent-perl,
 libcatalyst-actionrole-httpmethods-perl,
 libcatalyst-actionrole-querymatching-perl,
 libcatalyst-actionrole-scheme-perl,
 libcatalyst-action-serializebase-perl,
 libcatalyst-action-serialize-callback-perl,
 libcatalyst-action-serialize-json-perl,
 libcatalyst-action-serialize-jsonp-perl,
 libcatalyst-action-serialize-json-xs-perl,
 libcatalyst-action-serialize-perl,
 libcatalyst-action-serialize-view-perl,
 libcatalyst-action-serialize-xml-simple-perl,
 libcatalyst-action-serialize-yaml-html-perl,
 libcatalyst-action-serialize-yaml-perl,
 libcatalyst-authentication-credential-http-perl,
 libcatalyst-authentication-credential-nopassword-perl,
 libcatalyst-authentication-credential-password-perl,
 libcatalyst-authentication-credential-remote-perl,
 libcatalyst-authentication-realm-compatibility-perl,
 libcatalyst-authentication-realm-perl,
 libcatalyst-authentication-realm-progressive-perl,
 libcatalyst-authentication-store-htpasswd-perl,
 libcatalyst-authentication-store-htpasswd-user-perl,
 libcatalyst-authentication-store-minimal-perl,
 libcatalyst-authentication-store-null-perl,
 libcatalyst-authentication-user-hash-perl,
 libcatalyst-authentication-user-perl,
 libcatalyst-base-perl,
 libcatalyst-classdata-perl,
 libcatalyst-component-applicationattribute-perl,
 libcatalyst-component-contextclosure-perl,
 libcatalyst-component-instancepercontext-perl,
 libcatalyst-component-perl,
 libcatalyst-controller-html-formfu-actionbase-form-perl,
 libcatalyst-controller-html-formfu-action-formconfig-perl,
 libcatalyst-controller-html-formfu-action-formmethod-perl,
 libcatalyst-controller-html-formfu-action-form-perl,
 libcatalyst-controller-html-formfu-action-multiformconfig-perl,
 libcatalyst-controller-html-formfu-action-multiformmethod-perl,
 libcatalyst-controller-html-formfu-action-multiform-perl,
 libcatalyst-controller-html-formfu-perl,
 libcatalyst-controller-perl,
 libcatalyst-controller-rest-perl,
 libcatalyst-devel-perl,
 libcatalyst-dispatcher-perl,
 libcatalyst-dispatchtype-chained-perl,
 libcatalyst-dispatchtype-default-perl,
 libcatalyst-dispatchtype-index-perl,
 libcatalyst-dispatchtype-path-perl,
 libcatalyst-dispatchtype-perl,
 libcatalyst-engineloader-perl,
 libcatalyst-engine-perl,
 libcatalyst-exception-base-perl,
 libcatalyst-exception-basic-perl,
 libcatalyst-exception-detach-perl,
 libcatalyst-exception-go-perl,
 libcatalyst-exception-interface-perl,
 libcatalyst-exception-perl,
 libcatalyst-helper-html-formfu-perl,
 libcatalyst-helper-model-dbic-schema-perl,
 libcatalyst-helper-perl,
 libcatalyst-helper-view-csv-perl,
 libcatalyst-helper-view-json-perl,
 libcatalyst-helper-view-tt-perl,
 libcatalyst-helper-view-ttsite-perl,
 libcatalyst-log-perl,
 libcatalyst-middleware-stash-perl,
 libcatalyst-model-dbic-schema-perl,
 libcatalyst-model-perl,
 libcatalyst-plugin-authentication-credential-password-perl,
 libcatalyst-plugin-authentication-perl,
 libcatalyst-plugin-authentication-store-minimal-perl,
 libcatalyst-plugin-authentication-user-hash-perl,
 libcatalyst-plugin-authentication-user-perl,
 libcatalyst-plugin-configloader-perl,
 libcatalyst-plugin-i18n-perl,
 libcatalyst-plugin-session-perl,
 libcatalyst-plugin-session-state-cookie-perl,
 libcatalyst-plugin-session-state-perl,
 libcatalyst-plugin-session-store-dummy-perl,
 libcatalyst-plugin-session-store-file-perl,
 libcatalyst-plugin-session-store-perl,
 libcatalyst-plugin-session-test-store-perl,
 libcatalyst-plugin-smarturi-perl,
 libcatalyst-plugin-stacktrace-perl,
 libcatalyst-plugin-static-simple-perl,
 libcatalyst-plugin-unicode-encoding-perl,
 libcatalyst-request-partdata-perl,
 libcatalyst-request-perl,
 libcatalyst-request-rest-forbrowsers-perl,
 libcatalyst-request-rest-perl,
 libcatalyst-request-smarturi-perl,
 libcatalyst-request-upload-perl,
 libcatalyst-response-perl,
 libcatalyst-response-writer-perl,
 libcatalyst-restarter-forking-perl,
 libcatalyst-restarter-perl,

=== addons/perl-client/debian/control ===
Source: fingerbank
Section: net
Priority: optional
Maintainer: Inverse inc. <info@inverse.ca>
Build-Depends: debhelper (>= 7.0.50~), curl
Standards-Version: 3.8.4
Vcs-Git: git://github.com/inverse-inc/fingerbank.git
Vcs-Browser: https://github.com/inverse-inc/fingerbank/
Homepage: http://www.fingerbank.org/

Package: fingerbank
Architecture: all
Depends: ${misc:Depends},
 perl, curl, make,
 libcatalyst-perl (>= 5.90011), libcatalyst-modules-perl,
 libaliased-perl, libmoosex-types-loadableclass-perl,
 libconfig-general-perl,libreadonly-xs-perl, 
 liblog-log4perl-perl (>=1.43),libcatalyst-action-rest-perl,
 libdbd-sqlite3-perl, liblwp-protocol-https-perl, sqlite3,
 libdata-powerset-perl,
 liblwp-protocol-connect-perl,
 libjson-perl,
 libsql-translator-perl, libfile-touch-perl, libconfig-inifiles-perl (>= 2.88),
 fingerbank-collector (>= 1.2.0),
Description: fingerbank
 No! Fingerbank is not an organ bank for nice fingers ;)
 It is a database for device fingerprinting based on different properties
 (DHCP fingerprints, DHCP vendors, OUI, user-agents, ...) allowing your
 applications to fully detect then handle a custom workflow based on the device type.

=== debian/control ===
Source: packetfence
Section: net
Priority: optional
Maintainer: Inverse inc. <support@inverse.ca>
Build-Depends: debhelper (>= 7.0.50~), gettext, libparse-recdescent-perl, gcc, lsb-release, libfile-fcntllock-perl, git, pkg-config, nodejs (>= 20.0), jq,
 ruby, rubygems, ruby-dev,
 quilt, libmariadbd-dev (>= 10.1),
 libcurl4-openssl-dev, libcjson-dev
Standards-Version: 3.8.4
Vcs-Git: git://github.com/inverse-inc/packetfence.git
Vcs-browser: https://github.com/inverse-inc/packetfence/
Homepage: http://www.packetfence.org/

Package: packetfence
Architecture: all
# TODO: We can probably move these in Depends since 3.5.0 (managed RADIUS feature)
Pre-Depends:  ca-certificates,
 ca-certificates,
 packetfence-pfcmd-suid (>= ${source:Version}), packetfence-config (>= ${source:Version}),
# CAUTION: we need to require the version we want for Fingerbank and ensure we don't want anything equal or above the next major release as it can add breaking changes
 fingerbank (>= 4.3.2), fingerbank (<< 5.0.0),
 fingerbank-collector (>= 1.4.1), fingerbank-collector (<< 2.0.0),
 packetfence-redis-cache (>= ${source:Version}),
 packetfence-perl (>= 1.2.3),
 netdata (= 1:1.10.0-1)
# Removed for now
# libmariadbd-dev (>= 10.1), libmariadbd-dev (<< 10.5.18)
Breaks: libdata-alias-perl
Conflicts: packetfence-captive-portal-javascript, packetfence-doc, packetfence-pfappserver-javascript
Replaces: packetfence-captive-portal-javascript, packetfence-doc, packetfence-pfappserver-javascript
Depends: ${misc:Depends}, vlan,
 packetfence-ntlm-wrapper (>= ${source:Version}), packetfence-golang-daemon (>= ${source:Version}),
 openssl,
 packetfence-archive-keyring (>= ${source:Version}),
 gpg,
 jq,
 mariadb-server (>= 10.5.15),
 mariadb-client (>= 10.5.15),
 snmp, snmptrapfmt, snmptrapd, snmp-mibs-downloader, conntrack, rsyslog,
# for import/export scripts
 ipcalc, ipcalc-ng,
# apache related
 apache2, apache2-utils,
 libapache2-mod-apreq2, libapache2-mod-perl2,
 libapache2-request-perl, libtie-dxhash-perl, libapache-session-perl,
 libapache-ssllookup-perl, libapache2-mod-systemd,
# freeradius
 freeradius (>= 3.2.1), freeradius-ldap,
 freeradius-mysql, freeradius-utils, freeradius-rest, freeradius-redis,
 eapoltest,
# systemd sd_notify support
 liblinux-systemd-daemon-perl,
# binary
 make, binutils,
 samba,
 tdb-tools,
 python3-impacket (>= 0.9.23),
 python-is-python3,
 krb5-user,
 iproute2,
 ipset,
 sudo,
 sscep (>= 0.9),
 patch,
 git,
# process management
 procps,
# perl basic components
 liblist-moreutils-perl, libwww-perl, libtry-tiny-perl,
# perl uncategorized modules
 libapache-htpasswd-perl, libbit-vector-perl, libtext-csv-perl, libtext-csv-xs-perl,
 libcgi-session-serialize-yaml-perl, libtimedate-perl, libapache-dbi-perl,
 libdbd-mysql-perl (>= 4.052), libfile-tail-perl, libnetwork-ipv4addr-perl,
 libiptables-parse-perl, libiptables-chainmgr-perl, iptables (>= 1.4.0), iptables-netflow-dkms,
 liblwp-useragent-determined-perl,
 liblwp-protocol-connect-perl,
 libnet-netmask-perl, libnet-pcap-perl, libnet-snmp-perl, libsnmp-perl, libfile-fcntllock-perl,
 libnet-telnet-cisco-perl, libparse-recdescent-perl, libnet-cisco-mse-rest-perl, perlmagick,
 libregexp-common-email-address-perl, libregexp-common-time-perl,
 libperl-critic-perl, libreadonly-xs-perl, libhtml-template-perl,
 libterm-readkey-perl, libtest-perl-critic-perl, libtest-pod-perl,
 libtest-pod-coverage-perl, libthread-pool-simple-perl,
 libuniversal-require-perl, libuniversal-exports-perl, libnet-rawip-perl,
 libcgi-session-perl, libcgi-session-driver-chi-perl (>= 1.0.3), libconfig-inifiles-perl (>= 2.88),
 libdatetime-format-dateparse-perl, libdatetime-format-rfc3339-perl, libdbi-perl,librose-db-perl,librose-db-object-perl,libdatetime-timezone-perl,
 libnet-telnet-perl, libregexp-common-perl,libhtml-formhandler-perl,
 libreadonly-perl, libtemplate-perl, libtemplate-autofilter-perl, libterm-readkey-perl,
 libuniversal-require-perl, libthread-serialize-perl,
 libnet-ldap-perl, libcrypt-generatepassword-perl, libbytes-random-secure-perl, libcrypt-eksblowfish-perl, libcrypt-smbhash-perl,
 libcrypt-cbc-perl, libcrypt-le-perl, libdigest-sha3-perl, libcrypt-pbkdf2-perl, perl-doc, libcrypt-rijndael-perl,
 librrds-perl, libnetpacket-perl (>= 1.3), libcache-cache-perl, libcarp-perl,
 libload-perl, libmime-lite-tt-perl, libmime-lite-perl,
 libconfig-general-perl, libproc-processtable-perl, libperl-version-perl,
 perl-modules,libdata-swap-perl,libdata-structure-util-perl,
 liblinux-fd-perl, liblinux-inotify2-perl, libfile-touch-perl, libhash-merge-perl, libposix-atfork-perl,
 libcrypt-openssl-pkcs12-perl,libcrypt-openssl-x509-perl,libconst-fast-perl,
 libtime-period-perl (>= 1.25), libtime-piece-perl, libsereal-encoder-perl, libsereal-decoder-perl, libdata-serializer-sereal-perl (>= 1.04), libphp-serialization-perl,
 libnet-ip-perl, libdigest-hmac-perl, libcrypt-openssl-pkcs10-perl, libcrypt-openssl-rsa-perl, libfile-tempdir-perl,
 liburi-escape-xs-perl, libsql-abstract-more-perl (>= 1.28), libsql-abstract-plugin-insertmulti-perl, libio-socket-timeout-perl, libwww-twilio-api-perl,
 libpod-markdown-perl, libmojolicious-perl (>= 7.74), libmojox-log-log4perl-perl, liblingua-en-inflexion-perl,
 libnet-dhcp-perl,
# hard-coded to specific version because v3 broke the API and we haven't ported to it yet
# see #1313: Port our Net-Appliance-Session to the version 3 API
# http://packetfence.org/bugs/view.php?id=1313
 libnet-appliance-session-perl (>= 2.111080),
 libnet-ssh2-perl (>= 0.63),
 libnet-cli-interact-perl,
 libre-engine-re2-perl,
 libnet-interface-perl, libnet-radius-perl, libclass-xsaccessor-perl, libbsd-resource-perl,
 libparse-nessus-nbe-perl, libtest-mockdbi-perl,
 libsoap-lite-perl (>= 1.0), libnet-frame-perl, libthread-pool-perl,
 libwww-curl-perl, libposix-2008-perl, libdata-messagepack-stream-perl, libdata-messagepack-perl,
 libnet-nessus-xmlrpc-perl (>= 0.4), libnet-nessus-rest-perl (>= 0.7), libfile-slurp-perl,
 libalgorithm-combinatorics-perl,
# required for ipset
 libnetaddr-ip-perl, libfile-which-perl,
# FIXME track what requires the conveyor stuff and identify it. If we can, get rid of it.
 libthread-conveyor-monitored-perl, libthread-conveyor-perl, libthread-tie-perl,
 liberror-perl, libio-socket-inet6-perl,
 libio-interface-perl, libnet-route-perl, libnet-arp-perl,
# required by catalyst
 libcatalyst-perl (>= 5.90011), libcatalyst-modules-perl,
 libauthen-htpasswd-perl, libcatalyst-authentication-credential-http-perl,
 libcatalyst-authentication-store-htpasswd-perl, libcatalyst-plugin-unicode-encoding-perl,
 libcatalyst-view-tt-perl (>= 0.37), libcatalyst-view-csv-perl, libhtml-formfu-perl, libjson-perl, libjson-maybexs-perl,
 libcatalyst-plugin-smarturi-perl,
 libsort-naturally-perl, libchi-perl (>=0.59), libchi-memoize-perl,
 libdata-serializer-perl,
 libchi-driver-redis-perl,
 libredis-fast-perl,
 libcache-fastmmap-perl, libterm-size-any-perl,
 libswitch-perl,
# packaging workaround (we don't require it but something in catalyst seem to do)
 libmodule-install-perl,
# i18n
 liblocale-gettext-perl,
 locales-all,
# logging framework
 liblog-log4perl-perl (>=1.43),
 liblog-any-perl,
 liblog-any-adapter-perl,
 liblog-any-adapter-log4perl-perl,
# oauth2
 libnet-oauth2-perl (>=0.65),
# used by Captive Portal authentication modules
 libauthen-radius-perl (>=0.24), libauthen-krb5-simple-perl,
# used by bin/pftest
 libio-interactive-perl,
# used by dev-helpers scripts
 libtypes-serialiser-perl,
# cluster
 haproxy (>= 2.2), keepalived (>= 2.0), arping,
# monitoring
 fping, python3-mysqldb,
# EAP TLS
 libcrypt-smime-perl, libnumber-range-perl,
# Captive Portal Dynamic Routing
 libgraph-perl,
# SAML
 liblasso-perl,
# ACL
 libcisco-accesslist-parser-perl, libparse-eyapp-perl,
# for packaging
 lsb-release,
# nthash cache
 libscalar-list-utils-perl (>= 1.41-1),libfile-fcntllock-perl,libjson-xs-perl,libmoo-perl,libnet-dns-perl,python3-twisted-bin,python3-twisted,libconfig-inifiles-perl,
# Monit and monitoring scripts
 monit, uuid-runtime,
# Docker runtime
 docker-ce, docker-ce-cli, containerd.io,
# Distribution specific
 ${packetfence:dist}
Description: PacketFence network registration / worm mitigation system
 PacketFence is an open source network access control (NAC) system.
 It can be used to effectively secure networks, from small to very large
 heterogeneous networks. PacketFence provides features such
 as
 * registration of new network devices
 * detection of abnormal network activities
 * isolation of problematic devices
 * remediation through a captive portal
 * registration-based and scheduled vulnerability scans.

Package: packetfence-test
Architecture: all
Description: Test suite for packetfence
 PacketFence test files. This package contains all files related to PacketFence tests.

Package: packetfence-export
Architecture: all
Description: PacketFence export files
 PacketFence export files. This package contains all files related to export mechanism.
 This package should only be installed on releases before v11.

Package: packetfence-upgrade
Architecture: all
Description: PacketFence upgrade files
 PacketFence upgrade files. This package contains all files related to upgrade mechanism.
 This package should only be installed on releases after v11.

Package: packetfence-archive-keyring
Architecture: all
Description: GPG keys provided by PacketFence project
 GPG keys provided by PacketFence project.

Package: packetfence-pfconnector-remote
Architecture: all
Depends: fingerbank-collector-remote (>= 1.4.1), freeradius-common
Description: PacketFence Connector
 PacketFence Connector files. This package contains all files related to PacketFence Connector.

Package: packetfence-ci-lib
Architecture: all
Description: CI librairies used by PacketFence
 PacketFence CI librairies. This package contains all files related to PacketFence CI librairies.

Package: packetfence-pfcmd-suid
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: packetfence (<< 3.6.0)
Breaks: packetfence (<< 3.6.0)
Description: C wrapper that replace perl-suid dependence
 perl 5.12 dropped suidperl support (packaged as suid-perl)

Package: packetfence-ntlm-wrapper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C wrapper around the ntlm_auth utility to log authentication latency and success/failure.

Package: packetfence-config
Architecture: all
Depends: ${misc:Depends}, libcache-bdb-perl, liblog-fast-perl, libfile-flock-perl, lsb-release
Description: Service use to manage PacketFence configuration.

Package: packetfence-redis-cache
Architecture: all
Depends: ${misc:Depends}, redis-server, redis-tools, lsb-release
Description: Init script to manage redis server.

Package: packetfence-golang-daemon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PacketFence Golang binary.
Conflicts: packetfence (<= 8.0.1)

=== addons/packetfence-perl/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
NAME		= pf
PREFIX		= /usr/local
INSTALL		= /usr/bin/install -c -D -m0644
PERL_PATH       = lib_perl

# DIST = jessie or stretch or ..
DIST = $(shell lsb_release -c -s)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir


	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install -d -m0700 $(CURDIR)/debian/packetfence-perl$(PREFIX)/$(NAME)/$(PERL_PATH)
	tar xzf packetfence_perl_deb_module_without_all_path.tar.gz -C $(CURDIR)/debian/packetfence-perl$(PREFIX)/$(NAME)/$(PERL_PATH)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python

#	dh_installinfo
	dh_strip
	dh_compress
	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_md5sums
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== addons/perl-client/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
NAME		= fingerbank
PREFIX		= /usr/local
INSTALL		= /usr/bin/install -c -D -m0664

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir


	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf README.md t/ rpm/ vagrant/ ci/
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Install all except debian and t directory
	for i in `find * ! -path 'remote' ! -path 'debian/*' ! -path 'debian' ! -path 'obsolete/*' ! -path 'obsolete' ! -path 'upstream/*' ! -path 'upstream' -type d`; do \
		i=$$(echo $$i | sed -e "s/remote\/perl//g"); \
		install -d -m2775 $(CURDIR)/debian/fingerbank$(PREFIX)/$(NAME)/$$i; \
	done
	for i in `find * ! -path 'remote' ! -path 'debian/*' ! -path 'debian' ! -path 'obsolete/*' ! -path 'obsolete' ! -path 'upstream/*' ! -path 'upstream' ! -type d`; do \
		j=$$(echo $$i | sed -e "s/remote\/perl//g"); \
		$(INSTALL) $$i $(CURDIR)/debian/fingerbank$(PREFIX)/$(NAME)/$$j; \
	done
	touch $(CURDIR)/debian/fingerbank$(PREFIX)/$(NAME)/conf/fingerbank.conf
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
#	dh_link
	dh_strip
	dh_compress
	# PERMISSIONS
	# Executables
	chmod 0775 $(CURDIR)/debian/fingerbank$(PREFIX)/$(NAME)/db/upgrade.pl
	chmod 0775 $(CURDIR)/debian/fingerbank$(PREFIX)/$(NAME)/conf/upgrade/*
#	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
NAME		= pf
PREFIX		= /usr/local
INSTALL		= /usr/bin/install -c -D -m0644

# DIST = jessie or stretch or ..
DIST = $(shell lsb_release -c -s)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir


	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	#copying example files without example extension (.conf.example -> .conf)
	for i in `find * -name "*.example" ! -path 'conf/pfconfig.conf*' ! -path 'conf/redis_cache.conf*'`; do \
		$(INSTALL) $$i "$(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/$$(dirname $$i)/$$(basename $$i .example)"; \
	done

	# Install all except debian and t directory
	# dir* to exclude directory itself
	for i in `find * ! -path 'debian/*' ! -path 'debian' ! -path 'docs/*' ! -path 'docs' ! -path 't/*' ! -path 't' ! -path 'lib/pfconfig/*' ! -path 'lib/pfconfig' ! -path 'sbin/pfconfig*' \
	-not -path "addons/full-upgrade*" -not -path "html/parking*" -type d`; do \
		install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/$$i; \
	done
	for i in `find * ! -path 'debian/*' ! -path 'debian' ! -path 'docs/*' ! -path 'docs' ! -path 't/*' ! -path 't' ! -path 'lib/pfconfig/*' ! -path 'lib/pfconfig' ! -path 'sbin/pfconfig*' \
	-not -path "addons/full-upgrade/*" -not -path "html/parking/*" ! -path 'conf/pfconfig.conf*' ! -path 'conf/redis_cache.conf*' ! -type d`; do \
		$(INSTALL) $$i $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/$$i; \
	done

	install -d -m2775 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/caddy-services/api.conf.d

	# packetfence-test package
	make DESTDIR=$(CURDIR)/debian/packetfence-test test_install

	# packetfence-export package
	make -C addons/full-import DESTDIR=$(CURDIR)/debian/packetfence-export install

	# packetfence-upgrade package
	make -C addons/full-upgrade DESTDIR=$(CURDIR)/debian/packetfence-upgrade install

	# packetfence-archive-keyring package
	install -d $(CURDIR)/debian/packetfence-archive-keyring/usr/share/keyrings/
	cp debian/keyrings/monitoring-scripts-keyring.gpg $(CURDIR)/debian/packetfence-archive-keyring/usr/share/keyrings/

	# packetfence-pfconnector-remote package
	make DESTDIR=$(CURDIR)/debian/packetfence-pfconnector-remote pfconnector_remote_install

	# packetfence-ci-lib package
	make DESTDIR=$(CURDIR)/debian/packetfence-ci-lib ci_lib_install

	# packetfence-config package
	for i in `find * -path 'lib/pfconfig*' -type d`; do \
		install -d -m0700 $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/$$i; \
	done
	for i in `find * -path 'lib/pfconfig/*' ! -type d`; do \
		$(INSTALL) $$i $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/$$i; \
	done
	# generate translations
	# TODO this is duplicated in our RPM spec, we should aim to consolidate in a 'make' style step
	for TRANSLATION in de en es fr he_IL it nl pl_PL pt_BR nb_NO; do \
		/usr/bin/msgfmt $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/locale/$$TRANSLATION/LC_MESSAGES/packetfence.po \
		--output-file $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/locale/$$TRANSLATION/LC_MESSAGES/packetfence.mo; \
	done
	# Install empty directories not in our tarball since the git move
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/addons
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/ssl
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/ssl/acme-challenge
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/uploads
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/raddb/sites-enabled
	install -d -m0750 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/logs
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/conf
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache/ntlm_cache_users
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/var
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/redis_queue
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/redis_ntlm_cache
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/run
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/rrd
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/session
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/webadmin_cache
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache/configfiles
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache/configfilesdata
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/ssl_mutex
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/proxysql
	touch $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache_control
	#Configurator integration
	install -d -m0700 $(CURDIR)/debian/packetfence/lib/systemd/system
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/packetfence.target $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/packetfence-base.target $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/packetfence-cluster.target $(CURDIR)/debian/packetfence/etc/systemd/system
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/systemd/system/packetfence-base.target.wants
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/systemd/system/packetfence.target.wants
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/systemd/system/packetfence-cluster.target.wants
	install -m0644 $(CURDIR)/debian/packetfence.slice $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/packetfence-base.slice $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/ifup@.service $(CURDIR)/debian/packetfence/etc/systemd/system
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/default
	install -d -m0755 $(CURDIR)/debian/packetfence/etc/modprobe.d
	install -d -m0755 $(CURDIR)/debian/packetfence/etc/modules-load.d
	install -m0644 $(CURDIR)/debian/packetfence.modprobe $(CURDIR)/debian/packetfence/etc/modprobe.d/packetfence.conf
	install -m0644 $(CURDIR)/debian/packetfence.modules-load $(CURDIR)/debian/packetfence/etc/modules-load.d/packetfence.conf

	# copy the rsyslog systemd drop in and journald
	install -d -m0755 $(CURDIR)/debian/packetfence/etc/systemd/system/rsyslog.service.d/
	install -m0600 $(CURDIR)/packetfence.rsyslog-drop-in.service  $(CURDIR)/debian/packetfence/etc/systemd/system/rsyslog.service.d/packetfence.conf
	install -m0600 $(CURDIR)/packetfence.monit-drop-in.service  $(CURDIR)/debian/packetfence/etc/systemd/system/monit.service
	install -d -m0755 $(CURDIR)/debian/packetfence/etc/docker
	install -m0600 $(CURDIR)/containers/daemon.json  $(CURDIR)/debian/packetfence/etc/docker/daemon.json
	install -m0600 $(CURDIR)/packetfence.docker-drop-in.service  $(CURDIR)/debian/packetfence/etc/systemd/system/docker.service
	install -d -m0755 $(CURDIR)/debian/packetfence/usr/lib/systemd/journald.conf.d/
	install -m0644 -D $(CURDIR)/packetfence.journald $(CURDIR)/debian/packetfence/usr/lib/systemd/journald.conf.d/01-packetfence.conf
	install -d -m0755 $(CURDIR)/debian/packetfence/etc/systemd/system/logrotate.service.d/
